<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sat Sep  4 08:46:54 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>get_context_list</name>
<version>1.1</version>
<signature>array string</signature>
<help>
##############################################################################
# get_context_list: Get a list of all the contexts in the given file
#
#    Args: scalar_name_of_file_to_look_in
# Returns: arrayref_of_context_names
##############################################################################
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
##############################################################################
# get_context_list: Get a list of all the contexts in the given file
#
#    Args: scalar_name_of_file_to_look_in
# Returns: arrayref_of_context_names
##############################################################################
sub get_context_list {
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: get_context_list.xpl(@_)\n"; close(LOG);
	my $srv = shift;
	my($file) = shift(@_) || '/etc/asterisk/extensions.conf';

	unless (-e $file)
	{
		if (-e "/etc/asterisk/$file")
		{
			$file = "/etc/asterisk/$file";
		}
		else
		{
			die "No such file $file: $!";
		}
	}

	my(@list,$contexts);

	require "/var/www/rpc/read_config.pl";
	foreach (@{read_config($file)})
	{
		chomp($_);
		if(/^\[(.*)\]/) {
			$contexts->{$1} = 1;
			push(@list, $1);
		}
	}

	return(\@list);
}

__END__
]]></code>
</methoddef>
