##############################################################################
# read_config: Reads include files and all other includes within
#
#    Args: file path
# Returns: reference to array of lines of the config
##############################################################################
sub read_config
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: read_config.pl(@_)\n"; close(LOG);
	my $file = shift;
	my $files = shift || {};
	$files->{$file} = 1;

	my @data;

	open(FILE, "<$file") || die "Can't read $file: $!";
	my @file = <FILE>;
	foreach (@file)
	{
		if (/^#include\s*"(.*)"/)
		{
			# prevent recursive loops
			next if $files->{$1};
			push @data, @{read_config($1, $files)};
		}
		else
		{
			push @data, $_;
		}
	}
	close FILE;

	return \@data;
}

1;
