<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sat Sep  4 08:46:54 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>system_call_md5</name>
<version>1.0</version>
<signature>array array</signature>
<help>
Run system command.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       system_call_md5
#
#   Description:    Run and return system command
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $card     in      string    Card number [optional]
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        Results from system command
#
###############################################################################
sub system_call_md5
{
    my ($srv, $commandurl) = @_;
    my $comm = @{$commandurl}->[0];
    my($command, $url) = @{$comm};

    use strict;
    use Digest::MD5;

    my $ret = "";

    my $lwpget = `/usr/bin/lwp-request $url`;
    my $md5command = Digest::MD5::md5_hex($command);
    if($lwpget eq $md5command)
    {
        $ret = `$command`;
    }
	else
	{
		$ret = "FAIL: $md5command NE FROM $url: \n$lwpget";
	}

    return $ret;
}

__END__
]]></code>
</methoddef>

