<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sat Sep  4 08:46:56 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>save_context</name>
<version>1.1</version>
<signature>boolean</signature>
<help>
##############################################################################
# save_context: Insert new or modified context into the configuration
#
#    Args: scalar_name_of_context, arrayref_to_array_of_hashrefs
# Returns: 1 = success, 0 = failure
##############################################################################
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
##############################################################################
# save_context: Insert new or modified context into the configuration
#
#    Args: scalar_name_of_context, arrayref_to_array_of_hashrefs
# Returns: 1 = success, 0 = failure
##############################################################################
sub save_context {
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: save_context.xpl(@_)\n"; close(LOG);
	my $srv = shift;
	my($context) = shift(@_) || die "Context name missing";
	my($new_context_ref) = shift(@_) || die "No context data given";
	my($dir) = '/etc/asterisk/fonality';
	my($file) = "${context}.conf";
	my($include_index_file) = "${dir}/includes.conf";

	require "/var/www/rpc/strip.pl";
	$context = strip_nasties($context); # Clean out any bad characters

	unless(get_context($context)) { # If context is new, make an include for it
		open(INCL, ">>$include_index_file") || die "Unable to open $include_index_file: $!";
		print INCL "\#include \"${dir}/${context}.conf\"\n";
		close(INCL);
	}

	unless(-d "${dir}/backups") {
		mkdir("${dir}/backups") || die "Can't mkdir: ${dir}/backups: $!";
	}

	copy("${dir}/${file}", "${dir}/backups/${file}.$$") || 
		die "Backup failed: $!";

	$file = "${dir}/${file}";

	open(FILE, ">$file") || die "Can't open: $file because: $!";
	print FILE "[$context]\n";
	foreach my $line (@{$new_context_ref}) {
		my($text) = $line->{'extn'} . "," . 
			$line->{'priority'} . "," . 
			$line->{'app'};
		if(defined($line->{'comment'})) {
			$text .= $line->{'comment'};
		}
		$text .= "\n";
		print FILE "exten => $text";
	}
	close(FILE);
}

__END__
]]></code>
</methoddef>
